Subject: Re: PG 16 draft release notes ready

From: "Jonathan S. Katz" <[email-masked]>
Date: Sun, 21 May 2023 19:51:50 -0400

On 5/21/23 3:24 PM, Andres Freund wrote:
> Hi,
> 
> On May 21, 2023 11:46:56 AM PDT, "Jonathan S. Katz" <[email-masked]> wrote:
>> On 5/21/23 1:13 PM, Andres Freund wrote:
>>
>>>
>>> Looking through the release notes, I didn't see an entry for
>>>
>>> commit c6e0fe1f2a08505544c410f613839664eea9eb21
>>> Author: David Rowley <[email-masked]>
>>> Date:   2022-08-29 17:15:00 +1200
>>>         Improve performance of and reduce overheads of memory management
>>>
>>> even though I think that's one of the more impactful improvements. What was
>>> the reason for leaving that out?
>>
>> IIUC in[1], would this "just speed up" read-heavy workloads?
> 
> I don't think so. It can speed up write workloads as well. But more importantly it can noticeably reduce memory usage, including for things like the relcache.

Cool! I'll dive more into the thread later to learn more.

Jonathan